aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2012-05-28 03:24:56 +0000
committerJo-Philipp Wich <jow@openwrt.org>2012-05-28 03:24:56 +0000
commitc092e2336fcd7e2f55d5d962f2f4a5a355fe1bb8 (patch)
tree3ee31bde6e283ca4ad8fafe402ce080f5f0607a3 /package/base-files
parent7607d0e41b36e5b3dc06088e506fe871cecb20a9 (diff)
downloadupstream-c092e2336fcd7e2f55d5d962f2f4a5a355fe1bb8.tar.gz
upstream-c092e2336fcd7e2f55d5d962f2f4a5a355fe1bb8.tar.bz2
upstream-c092e2336fcd7e2f55d5d962f2f4a5a355fe1bb8.zip
[package] base-files: add network_get_device() to network.sh
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@31937 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files')
-rw-r--r--package/base-files/files/lib/functions/network.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/package/base-files/files/lib/functions/network.sh b/package/base-files/files/lib/functions/network.sh
index 1b42133ba2..159da09a0d 100644
--- a/package/base-files/files/lib/functions/network.sh
+++ b/package/base-files/files/lib/functions/network.sh
@@ -39,3 +39,18 @@ network_get_ipaddr6() { __network_ipaddr "$1" "$2" 6 0; }
network_get_subnet() { __network_ipaddr "$1" "$2" 4 1; }
network_get_subnet6() { __network_ipaddr "$1" "$2" 6 1; }
+
+
+network_get_device()
+{
+ local __var="$1"
+ local __iface="$2"
+
+ local __tmp="$(ubus call network.interface."$__iface" status 2>/dev/null)"
+ [ -n "$__tmp" ] || return 1
+
+ json_load "$__tmp"
+ json_get_var "$__var" device
+
+ return 0
+}